## ros-indigo-bwi-virtour 0.3.12

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(bwi_virtour)

find_package(catkin REQUIRED
  COMPONENTS
    actionlib
    bwi_kr_execution
    message_generation
    roscpp
    std_msgs
)

# Service generation
add_service_files(
  FILES
    Authenticate.srv
    GetTourState.srv
    GoBesideLocation.srv
    GoToLocation.srv
    LeaveTour.srv
    PingTour.srv
    RequestTour.srv
    Rotate.srv
)

generate_messages(
  DEPENDENCIES
    std_msgs
)

catkin_package(
  CATKIN_DEPENDS
    actionlib
    bwi_kr_execution
    message_runtime
    roscpp
    std_msgs
)

include_directories(
  ${catkin_INCLUDE_DIRS})

# Build
add_executable(go_to_location_service_node src/go_to_location_service.cpp)
add_dependencies(go_to_location_service_node
  ${catkin_EXPORTED_TARGETS}
  ${${PROJECT_NAME}_EXPORTED_TARGETS})
target_link_libraries(go_to_location_service_node ${catkin_LIBRARIES})

add_executable(rotate_service_node src/rotateService.cpp)
add_dependencies(rotate_service_node
  ${catkin_EXPORTED_TARGETS}
  ${${PROJECT_NAME}_EXPORTED_TARGETS})
target_link_libraries(rotate_service_node ${catkin_LIBRARIES})

add_executable(tour_manager src/tour_manager.cpp)
add_dependencies(tour_manager
  ${catkin_EXPORTED_TARGETS}
  ${${PROJECT_NAME}_EXPORTED_TARGETS})
target_link_libraries(tour_manager ${catkin_LIBRARIES})

# Install
install(TARGETS
          go_to_location_service_node
          rotate_service_node
          tour_manager
        RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY launch/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch)

install(DIRECTORY scripts/
        USE_SOURCE_PERMISSIONS
        DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

# Test launch scripts
if (CATKIN_ENABLE_TESTING)
  find_package(roslaunch REQUIRED)
  roslaunch_add_file_check(launch)
endif()

=== debian/changelog ===
ros-indigo-bwi-virtour (0.3.12-0trusty) trusty; urgency=high

  * set execute permissions when installing scripts (utexas-bwi/bwi#46 <https://github.com/utexas-bwi/bwi/issues/46>)
  * document link to web page (#78 <https://github.com/utexas-bwi/bwi_common/issues/78>)
  * add roslaunch check (#73 <https://github.com/utexas-bwi/bwi_common/issues/73>)
  * Contributors: Jack O'Quin

 -- Pato Lankenau <plankenau@gmail.com>  Wed, 14 Sep 2016 05:00:00 -0000

ros-indigo-bwi-virtour (0.3.11-0trusty) trusty; urgency=high



 -- Pato Lankenau <plankenau@gmail.com>  Sat, 27 Aug 2016 05:00:00 -0000

ros-indigo-bwi-virtour (0.3.10-0trusty) trusty; urgency=high

  * bwi_virtour: install scripts in catkin bin destination (#70 <https://github.com/utexas-bwi/bwi_common/issues/70>)
    collect scripts in sub-folder
    do not install web folder
  * bwi_virtour: fix catkin_lint errors, missing installs (#70 <https://github.com/utexas-bwi/bwi_common/issues/70>)
  * changed the way robots are detected
  * added notice if no robots available
  * removed serve certificate from enable and added deliver_message
  * cleaned up result handling
  * Contributors: Jack O'Quin, Pato

 -- Pato Lankenau <plankenau@gmail.com>  Mon, 15 Aug 2016 05:00:00 -0000

ros-indigo-bwi-virtour (0.3.9-0trusty) trusty; urgency=high

  * New bwi_common package, reconcile version number (#67 <https://github.com/utexas-bwi/bwi_common/issues/67>)
  * added starting kr execution and other service providers
  * added launch files to enable and disable tours
  * added UI for message delivery system
  * added local debug version
  * Contributors: Jack O'Quin, Pato

 -- Pato Lankenau <plankenau@gmail.com>  Fri, 05 Aug 2016 05:00:00 -0000

=== debian/control ===
Source: ros-indigo-bwi-virtour
Section: misc
Priority: extra
Maintainer: Pato Lankenau <plankenau@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-actionlib, ros-indigo-bwi-kr-execution, ros-indigo-catkin, ros-indigo-message-generation, ros-indigo-roscpp, ros-indigo-std-msgs
Homepage: 
Standards-Version: 3.9.2

Package: ros-indigo-bwi-virtour
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-actionlib, ros-indigo-bwi-kr-execution, ros-indigo-bwi-services, ros-indigo-message-runtime, ros-indigo-rosbridge-server, ros-indigo-roscpp, ros-indigo-std-msgs, ros-indigo-web-video-server
Description: Web interface providing a virtual tour of the Gates/Dell Complex of the University of Texas at Austin using the Building-Wide Intelligence infrastructure.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-bwi-virtour//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
